const URL = window.BASE_URL + "/one-api/mockup/system/";

export async function change_password(prm) {
   try {
      var resp = await axios.post(URL + 'menu/change_password', prm);
      if (resp.status != 200) {
         return {
            status: "ERR",
            message: resp.statusText
         };
      }
      let data = resp.data;
      return data;
   } catch(e) {
      return {
         status: "ERR",
         message: e.message
      };
   }
}

export async function get_bread_crumb(token) {
   try {
      var resp = await axios.post(URL + 'menu/get_bread_crumb', {token:token,
      xref:window.location.href});
      if (resp.status != 200) {
         return {
            status: "ERR",
            message: resp.statusText
         };
      }
      let data = resp.data;
      return data;
   } catch(e) {
      return {
         status: "ERR",
         message: e.message
      };
   }
}
export async function get_menu(prm) {
   try {
      var resp = await axios.post(URL + 'menu/get_menu', prm);
      if (resp.status != 200) {
         return {
            status: "ERR",
            message: resp.statusText
         };
      }
      let data = resp.data;
      return data;
   } catch(e) {
      return {
         status: "ERR",
         message: e.message
      };
   }
}
export async function getlistnotif(prm) {
   try {
      var resp = await axios.post(URL + 'notification/getlistnotif', prm);
      if (resp.status != 200) {
         return {
            status: "ERR",
            message: resp.statusText
         };
      }
      let data = resp.data;
      return data;
   } catch(e) {
      return {
         status: "ERR",
         message: e.message
      };
   }
}
export async function readnotif(prm) {
   try {
      var resp = await axios.post(URL + 'notification/readnotif', prm);
      if (resp.status != 200) {
         return {
            status: "ERR",
            message: resp.statusText
         };
      }
      let data = resp.data;
      return data;
   } catch(e) {
      return {
         status: "ERR",
         message: e.message
      };
   }
}
